
/*
Copyright (c) 2013-2014 Gustav Hartvigsson

Permission is hereby granted, free of charge, to any person obtaining a copy
of this software and associated documentation files (the "Software"), to deal
in the Software without restriction, including without limitation the rights
to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
copies of the Software, and to permit persons to whom the Software is
furnished to do so, subject to the following conditions:

The above copyright notice and this permission notice shall be included in
all copies or substantial portions of the Software.

THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN
THE SOFTWARE.
*/


#include "GlobalNotify.h"

#include "DynamicArray.h"

#include "LinkedList.h"


#include "Callback.h" /* To get SCallbackEntry */

struct SGlobalNotify {
  SDynamicArray * names; /* <gchar *> */
  
  SDynamicArray * callback_entries; /* <SLinkedList *<>> */
  
  size_t last; /* The last occupied space */
};

static SGlobalNotify * _global_notify_object;

void
_internal_initialize () {
  _global_notify_object = s_malloc (sizeof (SGlobalNotify));
  
}

void
s_global_notify (schar * name,
                 spointer user_data) {
  
}

sint
s_global_notify_add (schar * name) {
  
  return 0;
}

sint
s_global_notify_get_handle (schar * name) {
  return 0;
}


sint
s_global_notify_subscribe (schar * name,
                           Callback callback) {
  return 0;
}

sboolean
s_global_notify_unsubscribe (schar * name,
                             sint subscription_id) {
  return TRUE;
}

void
s_global_notify_teardown (void) {
  
}

